import os


# HuggingFace authentication
def setup_huggingface_auth():
    from huggingface_hub import login

    HUGGINGFACE_HUB_TOKEN = os.environ.get("HUGGINGFACE_HUB_TOKEN")
    if HUGGINGFACE_HUB_TOKEN:
        login(token=HUGGINGFACE_HUB_TOKEN)


# W&B authentication
def setup_wandb_auth():
    import wandb

    WANDB_API_KEY = os.environ.get("WANDB_API_KEY")
    if WANDB_API_KEY:
        if not wandb.api.api_key:
            wandb.login(key=WANDB_API_KEY)
